function beta = getInfSup(model,model_data)

decompmode_old = model.decomp_mode;
A = model.operators(model,model_data);

dirichletNodes=model_data.df_info.dirichlet_gids;
A(dirichletNodes,:)=[];
A(:,dirichletNodes)=[];

H1=model_data.df_info.h10_inner_product_matrix;
H1(dirichletNodes,:)=[];
H1(:,dirichletNodes)=[];


opts.issym = 1;
opts.disp = 0;
opts.maxit = 10;
opts.tol = 1e-6;

lambda = eigs(@(x) stiffFun(x,A,H1), ...
    size(A,1),H1,1,'sm', opts);

%Alternativ:
%Y = K'*(prob.fem.innProd \ K);
%lambda = eigs(Y, prob.fem.innProd, 1, 'sm', opts);
model.decomp_mode=decompmode_old;

beta = sqrt(lambda);


function y=stiffFun(x,A,B)
y = A'\x;
y = A\(B*y);
